#include <iostream>
#include <fstream>
#include <math.h>

using namespace std;

int main()
{
	ifstream input;
	ofstream output;
	int n;
	input.open("CP.inp");

	input >> n;
	input.close();

	output.open("CP.out");
	if (pow((int)sqrt(n), 2) == n)
	{
		output << "YES";
	}
	else output << "NO";
	return 0;
}